summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/nit-picker13
1 files changed, 8 insertions, 5 deletions
diff --git a/bin/nit-picker b/bin/nit-picker
index 562f239..9395ef4 100755
--- a/bin/nit-picker
+++ b/bin/nit-picker
@@ -191,11 +191,14 @@ while pgrep -x ii >/dev/null \
| mysql_run_query
)
if ! git -C "${git_dir}" merge-base --is-ancestor "${git_rev}" "${current_git_head}" 2> /dev/null; then
- printf 'commit %s is not an ancestor of HEAD %s in repository %s\n' \
- "${git_rev}" \
- "${current_git_head}" \
- "${git_repo}" \
- | irc_say
+ git -C "${git_dir}" fetch --all -p >/dev/null 2>&1
+ if ! git -C "${git_dir}" merge-base --is-ancestor "${git_rev}" "${current_git_head}" 2> /dev/null; then
+ printf 'commit %s is not an ancestor of HEAD %s in repository %s\n' \
+ "${git_rev}" \
+ "${current_git_head}" \
+ "${git_repo}" \
+ | irc_say
+ fi
fi
fi
;;